# SPDX-FileCopyrightText: 2018-2022 Bruce Cowan <bruce@bcowan.me.uk>
#
# SPDX-License-Identifier: GPL-3.0-or-later

app-id: uk.me.bcowan.Rugby
runtime: org.gnome.Platform
runtime-version: "43"
sdk: org.gnome.Sdk
command: rugby

finish-args:
  - "--share=ipc"
  - "--device=dri"
  - "--socket=fallback-x11"
  - "--socket=wayland"

modules:
  - name: blueprint-compiler
    buildsystem: meson
    sources:
      - type: git
        url: https://gitlab.gnome.org/jwestman/blueprint-compiler
        tag: v0.4.0
  - name: rugby
    buildsystem: meson
    builddir: true
    sources:
      - type: git
        url: https://git.fossgalaxy.com/SuborbitalPigeon/rugby.git
    config_opts:
      - "-Dprofile=development"
